# Interface BeanContextContainerProxy

@Deprecated(since="23", forRemoval=true) public interface BeanContextContainerProxy
Deprecated, for removal: This API element is subject to removal in a future version.

This interface is implemented by BeanContexts' that have an AWT Container associated with them.

Since:
  1.2
See Also:
  - `BeanContext`
  - `BeanContextSupport`

## Method Summary

Modifier and Type
Method
Description
`Container`
`getContainer()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the `java.awt.Container` associated with this `BeanContext`.

## Method Details

### getContainer

Container getContainer()
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the `java.awt.Container` associated with this `BeanContext`.

Returns:
  the `java.awt.Container` associated with this `BeanContext`.